You are here

Requirements: Macintosh 64 bit

Subscribe to Syndicate
Arts Management support team does not assist with operating system updates. Please refer to your IT support people if you need technical assistance.

We have endeavoured to describe the pathway for free updates for your convenience.

The 64 bit version of Theatre Manager requires El Capitan (10.11) or later.

We recommend upgrading workstations to High Sierra (or Mojave if your machine is capable).

DO NOT UPDATE TM SERVERS TO MOJAVE AT THIS TIME - The classic component of TM Server has an issue starting under Mojave (Nov 23, 2018)

Apple's web site contains excellent instructions to help you update to High Sierra. Please take note of step 4, where it gives a choice of:

  • Updating to High Sierra for Macs built circa 2010 or later -or-
  • Updating to Mojave for Macs built circa 2013 or later
Theatre Manager 32 and 64 bit works on both High Sierra and Mojave. Pick the version of MacOS that is best for your computer and/or other key applications. When selecting High Sierra or Mojave, please pay particular attention to the notes on machine compatibility.

 

(click image to go to Apple's High Sierra update web site)